com.pixelmed.display

## Class DrawingUtilities

- java.lang.Object
- - com.pixelmed.display.DrawingUtilities

    public class DrawingUtilities
    extends java.lang.Object

A class to provide various static methods for drawing.

### Constructor Summary

Constructors
Constructor and Description
`DrawingUtilities()`

### Method Summary

Methods
`static void` `addDiagonalCross(java.util.Vector shapes, int x, int y, int crossSize, int crossGap)` Draw a diagonal cross at a specified location with a gap around the center
`static void` `addVerticalCross(java.util.Vector shapes, int x, int y, int crossSize, int crossGap)` Draw a vertical cross at a specified location with a gap around the center
`static void` `drawShadowedShape(java.awt.Shape shape, java.awt.Graphics2D g2d)`
`static void` `drawShadowedString(java.lang.String string, int x, int y, java.awt.Graphics2D g2d)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DrawingUtilities

    public DrawingUtilities()

### Method Detail

#### drawShadowedString

    public static void drawShadowedString(java.lang.String string,
                          int x,
                          int y,
                          java.awt.Graphics2D g2d)

Parameters:
  `string` - the string to be drawn
  `x` - x position
  `y` - y position
  `g2d` - the drawing context

#### drawShadowedShape

    public static void drawShadowedShape(java.awt.Shape shape,
                         java.awt.Graphics2D g2d)

Parameters:
  `shape` - the shape to be drawn
  `g2d` - the drawing context

#### addDiagonalCross

    public static void addDiagonalCross(java.util.Vector shapes,
                        int x,
                        int y,
                        int crossSize,
                        int crossGap)

Draw a diagonal cross at a specified location with a gap around the center

Parameters:
  `shapes` - a vector of Shape to add to
  `x` - the x cross center
  `y` - the y cross center
  `crossSize` - the length of one arm of the cross from end to center
  `crossGap` - the gap in one arm of the cross from end to center (included in crossSize)

#### addVerticalCross

    public static void addVerticalCross(java.util.Vector shapes,
                        int x,
                        int y,
                        int crossSize,
                        int crossGap)

Draw a vertical cross at a specified location with a gap around the center

Parameters:
  `shapes` - a vector of Shape to add to
  `x` - the x cross center
  `y` - the y cross center
  `crossSize` - the length of one arm of the cross from end to center
  `crossGap` - the gap in one arm of the cross from end to center (included in crossSize)